;
; Specific Defines and variables of MIOS Application

	;; free memory for user applications:	
	;; 0x010-0x37f
	;; 0x10 to 0x07F is access ram
	;; 0x080 to 0x37F is user banked ram
	
	;; These will EQUate variable names with Static RAM addresses.

	;; access ram (not banked, fast access without BSR)

sxindex			EQU	0x030;
replyindex		EQU 0x031;
EOX				EQU	0x032;
holdindex		EQU	0x033;
vin_bit_count	EQU 0x034;
vin_data		EQU	0x035;
vin_errcount	EQU	0x036;
vin_bits		EQU	0x037;
BStart			EQU 0x038;
BEnd			EQU 0x039;
BFull			EQU 0x03A;
QByte			EQU 0x03B;

;; access ram ends at 0x07F

;; System Exclusive Buffer and match header
sxbuff					EQU		0x1C0	;through 1FF
matchheader				EQU		0x200	;through 23F
;; matchheader ias also used as the reply buffer, beginning at
; location (matchheader + sxheadsize)
Buffer					EQU		0x240	;through 25F

;; user ram ends at 0x37F